com.corticon.rulesemf.common

## Interface ValidationMessage

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Subinterfaces:
    InternationalValidationMessage, LocalizedValidationMessage

      public interface ValidationMessage
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Validation Message'.

  The following features are supported:

  - `UUID`
  - `Key`
  - `Type`
  - `Severity`
  - `Demoted`
  - `Invalid Objects`
  See Also:
    `CommonPackage.getValidationMessage()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList` | `getInvalidObjects()` Returns the value of the 'Invalid Objects' reference list.
    `int` | `getKey()` Returns the value of the 'Key' attribute
    `ValidationMessageSeverity` | `getSeverity()` Returns the value of the 'Severity' attribute.
    `ValidationMessageType` | `getType()` Returns the value of the 'Type' attribute.
    `java.lang.String` | `getUUID()` Returns the value of the 'UUID' attribute
    `boolean` | `isDemoted()` Returns the value of the 'Demoted' attribute
    `boolean` | `isSameMessage(ValidationMessage aValidationMessage)` Determine whether two validation messages are essentially the same, that is they represent the same message, but excluding the UUID.
    `void` | `setDemoted(boolean value)` Sets the value of the '`Demoted`' attribute
    `void` | `setKey(int value)` Sets the value of the '`Key`' attribute
    `void` | `setSeverity(ValidationMessageSeverity value)` Sets the value of the '`Severity`' attribute
    `void` | `setType(ValidationMessageType value)` Sets the value of the '`Type`' attribute
    `void` | `setUUID(java.lang.String value)` Sets the value of the '`UUID`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getUUID

          java.lang.String getUUID()

      Returns the value of the 'UUID' attribute.

      If the meaning of the 'UUID' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'UUID' attribute.
      See Also:
        `setUUID(String)`, `CommonPackage.getValidationMessage_UUID()`

    - #### isSameMessage

          boolean isSameMessage(ValidationMessage aValidationMessage)

      Determine whether two validation messages are essentially the same, that is they represent the same message, but excluding the UUID.
      Parameters:
        `aValidationMessage` - ValidationMessage to compare.
      Returns:
        `true` if object instances have equal state.

    - #### setUUID

          void setUUID(java.lang.String value)

      Sets the value of the '`UUID`' attribute.
      Parameters:
        `value` - the new value of the 'UUID' attribute.
      See Also:
        `getUUID()`

    - #### getKey

          int getKey()

      Returns the value of the 'Key' attribute.

      If the meaning of the 'Key' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Key' attribute.
      See Also:
        `setKey(int)`, `CommonPackage.getValidationMessage_Key()`

    - #### setKey

          void setKey(int value)

      Sets the value of the '`Key`' attribute.
      Parameters:
        `value` - the new value of the 'Key' attribute.
      See Also:
        `getKey()`

    - #### getType

          ValidationMessageType getType()

      Returns the value of the 'Type' attribute. The literals are from the enumeration `ValidationMessageType`.

      If the meaning of the 'Type' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Type' attribute.
      See Also:
        `ValidationMessageType`, `setType(ValidationMessageType)`, `CommonPackage.getValidationMessage_Type()`

    - #### setType

          void setType(ValidationMessageType value)

      Sets the value of the '`Type`' attribute.
      Parameters:
        `value` - the new value of the 'Type' attribute.
      See Also:
        `ValidationMessageType`, `getType()`

    - #### getSeverity

          ValidationMessageSeverity getSeverity()

      Returns the value of the 'Severity' attribute. The literals are from the enumeration `ValidationMessageSeverity`.

      If the meaning of the 'Severity' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Severity' attribute.
      See Also:
        `ValidationMessageSeverity`, `setSeverity(ValidationMessageSeverity)`, `CommonPackage.getValidationMessage_Severity()`

    - #### setSeverity

          void setSeverity(ValidationMessageSeverity value)

      Sets the value of the '`Severity`' attribute.
      Parameters:
        `value` - the new value of the 'Severity' attribute.
      See Also:
        `ValidationMessageSeverity`, `getSeverity()`

    - #### isDemoted

          boolean isDemoted()

      Returns the value of the 'Demoted' attribute.

      If the meaning of the 'Demoted' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Demoted' attribute.
      See Also:
        `setDemoted(boolean)`, `CommonPackage.getValidationMessage_Demoted()`

    - #### setDemoted

          void setDemoted(boolean value)

      Sets the value of the '`Demoted`' attribute.
      Parameters:
        `value` - the new value of the 'Demoted' attribute.
      See Also:
        `isDemoted()`

    - #### getInvalidObjects

          org.eclipse.emf.common.util.EList getInvalidObjects()

      Returns the value of the 'Invalid Objects' reference list. The list contents are of type `ValidatableObject`. It is bidirectional and its opposite is '`Validation Messages`'.

      If the meaning of the 'Invalid Objects' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Invalid Objects' reference list.
      See Also:
        `CommonPackage.getValidationMessage_InvalidObjects()`, `ValidatableObject.getValidationMessages()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.